View Issue Details

IDProjectCategoryView StatusLast Update
0003018PluginsNetBoxpublic2015-07-17 20:54
Reporterajax16384Assigned Tomichael.lukashov 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version8
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003018: падение NetBox при ssh соединении с tunnel
Descriptionв случае использования SSH tunnel, NetBox предлагает заново запомнить host key от SFTP соединения (хотя уже правильный key был запомнен), а после продолжения падает:

Exception: Access violation (read from 0x00000036)
Address: 0x65FFB6DC
Function: ProcessPanelInputW
Module: am Files (x86)\Far Manager\Plugins\NetBox\NetBox.dll

воспроизводится 3.0 (build 4400) x86, в предыдущей stable сборке Far данной проблемы не было.
Steps To Reproduceсоздать SFTP соединение с SSH tunnel
TagsNo tags attached.

Activities

michael.lukashov

2015-07-11 16:40

developer   bugnote:0013693

Проверьте сегодняшнюю ночную сборку Far - должно работать.

ajax16384

2015-07-12 12:47

reporter   bugnote:0013695

Far Manager, version 3.0 (build 4401) x86
вопрос про host key пропал, но падение дальше осталось:

Exception: Access violation (write to 0x5B133AA4)
Address: 0x5B0C4438
Function: ProcessPanelInputW
Module: C:\Far3\Plugins\NetBox\NetBox.dll

пример конфига:

<?xml version="1.0" encoding="UTF-8"?>
<NetBox version="2.1">
    <Sessions>
        <Session name="--test--">
            <Version>2.1.43</Version>
            <HostName>test1</HostName>
            <UserName>testuser1</UserName>
            <PublicKeyFile>C:%5Ctest1.ppk</PublicKeyFile>
            <FSProtocol>SFTP%20(SCP)</FSProtocol>
            <SFTPMaxVersion>0</SFTPMaxVersion>
            <Tunnel>Yes</Tunnel>
            <TunnelHostName>test2</TunnelHostName>
            <TunnelPortNumber>1234</TunnelPortNumber>
            <TunnelUserName>testuser2</TunnelUserName>
            <TunnelPublicKeyFile>C:%5Ctest2.ppk</TunnelPublicKeyFile>
            </CodePage>
            <LoginType>1</LoginType>
        </Session>
    </Sessions>
</NetBox>

ajax16384

2015-07-15 20:29

reporter   bugnote:0013703

в NetBox 2.1.43.392 14.07.2015 падение ушло, но по нажатию Enter на соединение:

        ╔═════════════════ --test-- ═════════════════╗
        ║ Authenticating with public key ║
        ║ "some-test-key1--". ║
        ║ Authenticated. ║
        ║ Connecting through tunnel... ║
        ║ Searching for host... ║
        ║ Connecting to host... ║
        ║ Authenticating... ║
        ║ Using username "username2". ║
        ║ Authenticating with public key ║
        ║ "some-test-key2--". ║
        ║ Authenticated. ║
        ╚════════════════════════════════════════════╝


  ╔══════════════════════════ Error ══════════════════════════╗
  ║ Incorrect or damaged C:\Far3\Plugins\NetBox\NetBoxEng.lng ║
  ║ Message 2106 not found ║
  ╟───────────────────────────────────────────────────────────╢
  ║ { Ok } [ Quit ] ║
  ╚═══════════════════════════════════════════════════════════╝

ajax16384

2015-07-16 17:55

reporter   bugnote:0013705

в NetBox 2.1.43.393 15.07.2015 всё стало ОК

Issue History

Date Modified Username Field Change
2015-07-10 16:26 ajax16384 New Issue
2015-07-11 16:40 michael.lukashov Note Added: 0013693
2015-07-11 16:40 michael.lukashov Assigned To => michael.lukashov
2015-07-11 16:40 michael.lukashov Status new => assigned
2015-07-12 12:47 ajax16384 Note Added: 0013695
2015-07-15 20:29 ajax16384 Note Added: 0013703
2015-07-16 17:55 ajax16384 Note Added: 0013705
2015-07-17 20:54 michael.lukashov Status assigned => closed
2015-07-17 20:54 michael.lukashov Resolution open => fixed
2015-07-17 20:54 michael.lukashov Fixed in Version => 3.0